"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZohoBooksOAuth2Api = void 0;
class ZohoBooksOAuth2Api {
    constructor() {
        this.name = 'zohoBooksOAuth2Api';
        this.displayName = 'Zoho Books OAuth2 API';
        this.extends = ['zohoOAuth2Api'];
        this.authenticate = {
            type: 'generic',
            properties: {
                qs: {
                    organization_id: '={{$credentials.orgId}}',
                },
            },
        };
        this.documentationUrl = 'https://github.com/Vrishtrix/n8n-nodes-zohobooks';
        this.properties = [
            {
                displayName: 'Scope',
                name: 'scope',
                type: 'hidden',
                default: 'ZohoBooks.fullaccess.all',
            },
            {
                displayName: 'Organization ID',
                name: 'orgId',
                type: 'string',
                default: '',
            },
        ];
    }
}
exports.ZohoBooksOAuth2Api = ZohoBooksOAuth2Api;
//# sourceMappingURL=ZohoBooksOAuth2Api.credentials.js.map